Subject: Re: bash and shell script problem
From: [email-masked] (Fergus Henderson)

12 Jun 1998 04:39:20 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Christopher G. Faylor" <[email-masked]>
Cc: [email-masked]

On 11-Jun-1998, Christopher G. Faylor <[email-masked]> wrote:
> >I can't get shell scripts to run.
> >In bash when I when I try to run shell-scripts I get:
> >
> >bash.exe: shell-script-name: No such file or directory
> >
> >
> >When I run exe-files that are in the same directory as the script it works
> >fine.
> 
> Try doing a 'chmod a+x whatever' on the shell-script, just like UNIX.

I don't think DOS's FAT file system has any "x" (execute) bits, so
I don't think that will work.  Instead, I think cygwin bases the execute
permission on the file extension and the characters at the start of
the file.  For shell scripts, I think they need to start with "#!/bin/sh".

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".